List all Payout Requests
List all payout requests.
List all payout requests.
Authorization
api_key In: header
Query Parameters
A limit on the number of objects to be returned, between 1 and 100.
A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include starting_after=aaa in order to fetch the next page of the list.
uuidA cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with aaa, your subsequent call can include ending_before=aaa in order to fetch the previous page of the list.
uuidResponse Body
application/json
curl -X GET "https://example.com/v2/payout-requests"{ "has_more": true, "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created": "2019-08-24T14:15:22Z", "amount": 0, "status": "created", "payee": { "country_code": "string", "phone_number": "string" }, "payout_link": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created": "2019-08-24T14:15:22Z", "link": "http://example.com", "amount": 0, "status": "funds_pending", "payee": { "first_name": "string", "last_name": "string", "email": "user@example.com", "country_code": "string", "phone_number": "string" }, "delivery": { "method": "link", "email": "user@example.com", "country_code": "string", "phone_number": "string" }, "tax_exempt": true, "claimed_user_id": "66f08eaa-a101-4a26-b1a7-7241439dcee8", "flow_id": "0746f03b-16cc-49fb-9833-df3713d407d2", "transfer_id": "d4a2d8dd-7def-4545-a062-761683b9aa05", "memo": "string", "metadata": "string", "description": "string", "accounting_data": { "quickbooks_account_id": 0, "quickbooks_class_id": 0 }, "created_by_email": "user@example.com", "funding_source": "dots_balance" }, "user": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "first_name": "string", "last_name": "string", "email": "user@example.com", "phone_number": { "country_code": "string", "phone_number": "string" }, "verified": true, "country": "string", "auto_payout_enabled": true, "default_payout_method": "ach", "default_payout_method_details": { "id": "string", "platform": "ach", "description": "string", "mask": "string", "email": "string", "phone_number": "string", "cash_tag": "string", "country": "string", "currency": "string", "rtp_enabled": true, "meta": null }, "wallet": { "amount": 0, "withdrawable_amount": 0, "credit_balance": 0 }, "status": "verified", "compliance": { "tax_id_collected": true, "tax_id_verification": "not_required", "address_collected": true, "date_of_birth_collected": true, "must_collect_1099": true, "1099_collected": true, "w8_ben_collected": true, "flagged": true, "id_verified": true, "has_criminal_activity": true, "background_check": { "status": "not_started", "updated": "2019-08-24T14:15:22Z" }, "w9": { "entity_type": "individual", "business_name": "string", "tax_id_collected": true, "address_collected": true }, "flags": { "ofac": true, "ofac_status": "unflagged", "payout_method": true, "payout_method_cycle": true, "name_mismatch": true } }, "metadata": "string", "payout_options_exclude_list": [ "ach" ], "1099_adjustment": { "year": 0, "form": "1099-NEC", "amount": 1 } }, "metadata": "string", "memo": "string" } ]}Create a Payment
Creates a transaction from a user or a payment customer to the app. User the `/users/{user_id}/payout-methods` route to get a user's stored payment methods.
Create a Payout Request
Submit a payout request from a person when you know their phone number or user id. Once the payout request is approved, they will be sent a Payout Link to onboard and recieve funds.